## fakeroot 0.0-14.2

=== Makefile ===
CFLAGS=-Wall  -g
CXXFLAGS=-Wall -g

all: libfakeroot.so.0.0 fakeroot 

debug: all fakedebug clean_msg semtest get send

send.o: fakeroot.h send.c

get.o: fakeroot.h get.c

fakedebug: fakedebug.o libfakeroot.so
	gcc -g -o fakedebug fakedebug.o -L. -lfakeroot

libfakeroot.o: libfakeroot.c fakeroot.h
	gcc -D_REENTRANT -g $(CFLAGS) -c -o libfakeroot.o -fPIC libfakeroot.c

libfakeroot.so.0.0:libfakeroot.o fakeroot.h
	gcc -g -shared -Wl,-soname,libfakeroot.so.0 -o libfakeroot.so.0.0 libfakeroot.o -ldl -lc

libfakeroot.so: libfakeroot.so.0.0
	ln -s libfakeroot.so.0.0 libfakeroot.so 


fakeroot.o: fakeroot.cc fakeroot.h

fakeroot:fakeroot.o
	g++ -g -o fakeroot fakeroot.o -lstdc++

test   : 
	make -C test

clean  : 
	rm -rf *.o fakeroot libfakeroot.so.0.0 2 core get semtest hoi clean_msg fakedebug libfakeroot.so* send 
	make -C test clean

=== test/Makefile ===
all : 1

tmp     :
	rm -rf tmp
	mkdir tmp

1       : tmp
	../fakeroot --nodebian --lib `cd ..; pwd`/libfakeroot.so.0.0 -c ./tartest


clean   :
	rm -rf tmp*

=== debian/changelog ===
fakeroot (0.0-14.2) frozen unstable; urgency=high

  * Current hamm version (0.0-13) broke with libc6_2.0.7r-1 
    (`fakeroot "anything"' fails; strace shows the process run inside the 
    fakeroot environment segfaulting) (Similar to #21669 and #22013).
    Recompiled with libc6_2.0.7r-1 and matching -dev so that it works again.
    The changes between 0.0-13 (hamm version) and 0.0-14.1 (slink version)
    affect only the build process and the alpha architecture, so they do
    not affect stability on the architectures for which hamm will be
    released; therefore this is based on 0.0-14.1 rather than 0.0-13 .
  * [debian/control] Fixed description (Fixes #18954).

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Tue, 23 Jun 1998 14:31:42 +0200

fakeroot (0.0-14.1) frozen unstable; urgency=low

  * Fixed contents of shlibs file for alpha, with its libc6.1.

 -- Michael Alan Dorman <mdorman@debian.org>  Wed,  6 May 1998 09:58:32 -0500

fakeroot (0.0-14) unstable; urgency=low

  * debian/rules now removes debian/{files,substvars} in the clean target,
    fixes: 22122

 -- joost witteveen <joostje@debian.org>  Tue,  5 May 1998 19:58:32 +0200

fakeroot (0.0-13) frozen unstable; urgency=low

  * 2 Minor changes to allow fakeroot to compile with egcs.
    However, as egcs is the only c++ compiler with debian, I think 
    it is essential (even to comply with the DFSG) that this is put in
    frozen too.
  * Added a "umask 022" to the test/tartest script, as otherwise it will only
    work if whoever compiles fakeroot happens to have a umaks of 022.

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Fri,  1 May 1998 07:44:23 +0200

fakeroot (0.0-12) frozen unstable; urgency=low

  * Fixed shlib file for the move of fakerootlib. (Thanks, Joey Hess, for
    telling me this:)

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Sat, 25 Apr 1998 22:47:05 +0200

fakeroot (0.0-11) frozen unstable; urgency=low

  * Removed (harmless) debugging statement, that caused rather stange
    error message during package builds started with UID's bigger than
    1999 (anyone said Debian didn't have any 2k bugs?). Fixes: 21007
  * applied workaround for g++ (2.7.2.3) bug (printf("%Li") is treaded
    as printf("%li")) in debugging output.
  * Added a few lines to fakeroot(1), to explain why it's not a good idea
    to run configure scripts etc from within fakeroot.

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Sun, 19 Apr 1998 11:03:51 +0200

fakeroot (0.0-10) frozen unstable; urgency=low

  * security fix.
  * changed order of library and symbolic link in .deb file.

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Wed, 28 Jan 1998 14:53:14 +0100

fakeroot (0.0-9a) unstable; urgency=low
  
  * I'd like the next "real" release to include VIRTUAL_ROOT. So, this
    is not a "debian" release. (but use as you wish)
  * dpkg-shlibdeps appears not to complain if fakeroot.shlibs just says:
    "/usr/lib/libfakeroot      0" (without any package name). So I use
    that. 
  * Debian Changelog is now called changelog.Debian.gz (not changelog)
  * fakeroot children now inherit parent's environment.
  * Applied Joey's isell patch (plus Dirk's addition, and Mark's programme
    comment (Checked it, yes my Consise Oxford also says that), and some
    corrections of my own). That should probably fix about half of the
    spelling errors, I guess.
  
 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Tue,  9 Sep 1997 22:54:38 +0200

fakeroot (0.0-9) unstable; urgency=low

  * removed xbase source dependancy (used mkdirhier, changed to mkdir -p)
  * changed "adm" to "sys", in the tartest (and in my /etc/passwd!),
    to allow the tartest to succeed on normal debian systems too.
  * Some changes/additions to manual page.
  * fakeroot now uses libfakeroot.so.0 by default, instead
    of libfakeroot.so.0.0. This removes the dpkg-shlibdeps warnings.
  * Added a libfakeroot.so.0 symlink.
  * added the full path in the shlibfile (/usr/lib/libfakeroot)
 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Sat,  6 Sep 1997 20:24:55 +0200

fakeroot (0.0-8) unstable; urgency=low

  * Added -D_REENTRANT to the flags when building libfakeroot.
  * Added strip --strip-unneeded libfakeroot in rules "binary" target.
  * really return EPERM on things like "chmod 0 file"
  * changed --nodebian to be the default again.
  
 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Sun,  3 Aug 1997 15:32:40 +0200

fakeroot (0.0-7) unstable; urgency=low

  * Added a shlibs file (to prevent (harmless) warnings form
    dpkg-shlibdeps).
  * Now also wrap rename(), fixing bug #11613.
  * added "mv" tests to the "debian/rules build" tests.
  * use dlsym(RTLD_NEXT,...), instead of
    dlsym(dlopen("/lib/libc.so.6"),..), so that multiple wrapper libs
    may be used.
  * "mknod" now creates it's files mode 0644 on the filesystem, not
    mode 0666.
  * Added manpage (converted/written by Ray Dassen).
  * --debian option works now.

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Sat,  2 Aug 1997 18:01:03 +0200

fakeroot (0.0-6) unstable; urgency=low

  * fakeroot now returns correct exit status.
    (question from Andreas Jellinghaus <aj@dungeon.inka.de>).
  * fix bug where a chown(), chomd(), mknod() etc on "new" files
    (for fakeroot) would cause the data not touched by that specific
    function to be corrupt (also noticed by Andreas Jellinghaus
    <aj@dungeon.inka.de>).
  * unlinking of directories now happens when nlink==2, not==1.
  * work around "touch f; chmod 000 f; echo>f" problem (works for
    root, but not for user/fakeroot): a "chmod 000" call will
    be translated into "chmod 600 (or 700)" to the kernel (and thus
    the real filesystem), but the "fakedata" will record the 000 
    permissions.
  * also wrap mkdir call, as that can create dirs with
    permission 000 too (thus unwritable, shows up in tar).
  * Prevent lost IPC messages causing havoc
    (losses were due to signals sent to process)    
  * code-cleanups.


=== debian/control ===
Source: fakeroot
Section: utils
Priority: optional
Maintainer: joost witteveen <joostje@debian.org>
Standards-Version: 2.1.1.0

Package: fakeroot
Architecture: any
Depends: ${shlibs:Depends}
Description: Gives a fake root environment.
 This package is intended to enable something like:
   dpkg-buildpackage -rfakeroot
 i.e. to remove the need to become root for a package build.
 This is done by setting LD_PRELOAD to a "libfakeroot.so.0.0",
 that provides wrappers around chown, chmod, mknod, stat,
 etc.
 .
 If you don't understand any of this, you do not need this!
 .
 for dpkg-buildpackage to work, you'll need libc6 versions of
 at least   dpkg, make, fileutils, tar, bash .

=== debian/rules ===
#! /usr/bin/make -f
#   -*- mode: makefile; -*-
#
# Last updated: Sat Dec 17 10:52:20 EST 1994 by imurdock.
#
# To make the binary distribution package, the ``Debianized'' source package
# and the context diff to the original package, type `./debian.rules dist'.
# Make sure that `debian.rules' is executable before the final distribution
# is made.
#
# Invoke each target with `./debian.rules <target>'.  All targets should be
# invoked with the package root as the current directory.
#
# The `binary' target must be run as root, as it needs to install files with
# specific ownerships.  The `diff' target assumes that you have the original
# source package available, unpacked, in ../$(p)-$(v).orig, or that you have
# the previous revision of the ``Debianized'' source package and context diff
# in the parent directory.

CC = gcc

package = fakeroot
major=0
minor=0

arch = $(shell dpkg --print-architecture)

build: 
	make -C .
	#Now testing fakeroot:
	make -C test
	touch build


clean:	
	#Undoes the effect of `make -f debian.rules build'.
	#make distclean
	#rm -f docs/Makefile docs/latextut/Makefile
	rm -rf debian/{files,substvars,tmp} build 
	make -C . clean

binary-indep:   checkroot build
        $(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.


binary-arch:
	rm -rf debian/tmp
	install -d -g root -m 755 -o root debian/tmp/DEBIAN\
	  debian/tmp/usr/{bin,lib/libfakeroot,doc/$(package),man/man1}
	#
	install -s -g root -o root -m 755 \
	   fakeroot debian/tmp/usr/bin
	install -s -g root -o root -m 755 \
	   libfakeroot.so.$(major).$(minor)  debian/tmp/usr/lib/libfakeroot
	ln -s libfakeroot.so.$(major).$(minor) \
	   debian/tmp/usr/lib/libfakeroot/libfakeroot.so.$(major)
	strip --strip-unneeded debian/tmp/usr/lib/libfakeroot/libfakeroot.so.$(major).$(minor)
	install  -g root -o root -m 644 \
	   BUGS README debian/copyright \
	    debian/tmp/usr/doc/$(package)/
	install  -g root -o root -m 644 \
	   debian/changelog\
	    debian/tmp/usr/doc/$(package)/changelog.Debian
	install  -g root -o root -m 644 \
	   fakeroot.1 debian/tmp/usr/man/man1/
	gzip -9 debian/tmp/usr/man/man1/fakeroot.1 \
                debian/tmp/usr/doc/$(package)/*
ifneq ($(arch),alpha)
	install -g root -o root -m 644 \
	   debian/shlibs debian/tmp/DEBIAN
else
	install -g root -o root -m 644 \
	   debian/shlibs.alpha debian/tmp/DEBIAN/shlibs
endif
	#
	dpkg-shlibdeps ./fakeroot 
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	#/bin/bash #-c "ls debian/tmp"
	#bash -c "dpkg --build debian/tmp .."
	dpkg --build debian/tmp ..

binary:	 binary-indep binary-arch


checkroot:
	$(checkdir)
	test root = "`whoami`"

## fakeroot 0.0-17

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 CFLAGS=-Wall  -g
 CXXFLAGS=-Wall -g
 
-all: libfakeroot.so.0.0 fakeroot 
+all: libfakeroot.so.0.0 fakeroot simple
 
 debug: all fakedebug clean_msg semtest get send
 
@@ -31,7 +31,7 @@
 	make -C test
 
 clean  : 
-	rm -rf *.o fakeroot libfakeroot.so.0.0 2 core get semtest hoi clean_msg fakedebug libfakeroot.so* send 
+	rm -rf *.o fakeroot libfakeroot.so.0.0 2 core get semtest hoi clean_msg fakedebug libfakeroot.so* send simple
 	make -C test clean

=== debian/changelog ===
fakeroot (0.0-17) frozen; urgency=low

  * 0.0-17 Should also have been uploaded to frozen. Correcting that now.


 -- joost witteveen <joostje@debian.org>  Mon,  7 Dec 1998 19:23:40 +0100

fakeroot (0.0-16) unstable; urgency=low

  * removed specific version dependancy in shlib file.
    Fixes: fakeroot

 -- joost witteveen <joostje@debian.org>  Fri,  4 Dec 1998 01:06:35 +0100

fakeroot (0.0-15) frozen unstable; urgency=low

  * Recompiled with libc6-2.0.7u-6.
  * partly applied patch from Matt McLean <keys@yikes.com>, to make
    fakeroot compile with libc 2.1.
  
 -- joost witteveen <joostje@debian.org>  Sat, 28 Nov 1998 21:49:11 +0100

fakeroot (0.0-14.4) unstable; urgency=medium

  * Corrected broken shlibs file (#28556, #28571) - a lack of a \n was
    causing major breakage.
  * Remove "simple" binary in clean target.

 -- Joey Hess <joeyh@master.debian.org>  Mon, 26 Oct 1998 12:46:48 -0800

fakeroot (0.0-14.3) unstable; urgency=low

  * I talked to Joost yesterday, and he understands why I and others want to
    have fakeroot in 2.1.
  * Modified build process to construct an appropriate shlibs file from
    dpkg-shlibdeps output on a dummy C program. Thus, debian/shlibs no
    longer needs to be kept up to date by hand, and there's no more need for
    architecture-specific conditionals.
    This also fixes the "libc6, libc6 (>= 2.0.6u)" in dependencies of
    fakeroot-built packages.
  * Recompiled; now has up to date libstdc++ dependency (Fixes #27794).

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Sun, 25 Oct 1998 14:24:56 +0100

=== debian/rules ===
--- 
+++ 
@@ -36,11 +36,11 @@
 	#Undoes the effect of `make -f debian.rules build'.
 	#make distclean
 	#rm -f docs/Makefile docs/latextut/Makefile
-	rm -rf debian/{files,substvars,tmp} build 
+	rm -rf debian/{files,substvars,tmp,shlibs} build 
 	make -C . clean
 
 binary-indep:   checkroot build
-        $(checkdir)
+	$(checkdir)
 # There are no architecture-independent files to be uploaded
 # generated by this package.  If there were any they would be
 # made here.
@@ -68,15 +68,20 @@
 	   fakeroot.1 debian/tmp/usr/man/man1/
 	gzip -9 debian/tmp/usr/man/man1/fakeroot.1 \
                 debian/tmp/usr/doc/$(package)/*
-ifneq ($(arch),alpha)
+	(echo -n "/usr/lib/libfakeroot/libfakeroot	0	" ; \
+	 dpkg-shlibdeps -O simple | sed -e s/shlibs:Depends=// -e 's/ *([^()]*)$$//') > debian/shlibs
+#ifneq ($(arch),alpha)
+#	install -g root -o root -m 644 \
+#	   debian/shlibs debian/tmp/DEBIAN
+#else
+#	install -g root -o root -m 644 \
+#	   debian/shlibs.alpha debian/tmp/DEBIAN/shlibs
+#endif
 	install -g root -o root -m 644 \
 	   debian/shlibs debian/tmp/DEBIAN
-else
-	install -g root -o root -m 644 \
-	   debian/shlibs.alpha debian/tmp/DEBIAN/shlibs
-endif
 	#
 	dpkg-shlibdeps ./fakeroot 
+#	dpkg-shlibdeps ./fakeroot ./libfakeroot.so*
 	dpkg-gencontrol
 	chown -R root.root debian/tmp
 	chmod -R g-ws debian/tmp

## fakeroot 0.4.4-4.1

=== test/Makefile ===
TOPDIR:=$(shell cd ../; pwd)

#use short options, as not all getopt's understand the long ones
RUN=../scripts/fakeroot -f $(TOPDIR)/faked -l $(TOPDIR)/.libs/libfakeroot.so.0 --

all : 4 2 1 3 5 6 7 8

tmp     :
	rm -rf tmp
	mkdir tmp

1       : tmp
	$(RUN) ./tartest

2       : tmp
	$(RUN) "touch tmp/iamnotuser; ls -al tmp/iamnotuser" | grep root

3       : tmp
	RET="`$(RUN) ./echo_arg 3 a b c d e`" ; echo RET=$$RET; test "$$RET" = "b"


# Bug 42710, 42713
4       : tmp
	$(RUN) "touch tmp/foo; install tmp/foo tmp/bar; ls -al tmp/bar" | grep "root.*root.*tmp/bar"

# Bug 42628
# option processing should stop after first non-option:
5       :
	$(RUN) echo -1 -2 | grep -- -1

# Bug 43811
# returnvalue should be used:
6       :
	if $(RUN) false; then false; else true; fi

7       :
	if $(RUN) true; then true; else false; fi

#did we wrap mknod correctly?
8	:
	$(RUN) "mknod hda3 b 3 1; ls -l hda3" | grep "^b" 

clean   :
	rm -rf tmp*

=== debian/changelog ===
fakeroot (0.4.4-4.1) unstable; urgency=low

  * Non-maintainer release.
  * Change shlibs file to have no third field.

 -- Joel Klecker <espy@debian.org>  Wed, 29 Dec 1999 19:36:30 -0800

fakeroot (0.4.4-4) unstable; urgency=low

  * Added suggestion of Yann DIRSON to kill the faked deamon
    on the EXIT `signal', rather than just after a succesfull
    run of the command ran under fakeroot. Closes: #47886
  * Use short options in the test script, so that it can run on
    solaris too.
  * fix (very stupid) errors in mknod wrapping function. Mknod
    inside fakeroot now works again (also added test for this).
  * applied some s/que/queue/ spelling fixes in fake.cc.
    Closes: #49928
 -- joost witteveen <joostje@debian.org>  Sat, 13 Nov 1999 20:51:35 +0100

fakeroot (0.4.4-3) unstable; urgency=low

  * Replaced uint32_t by u_int32_t, as the former is only defined
    on glibc-2.1 platforms.
  * Apparently format of tar -t changed slightly. Adopted the
    `tartest' from the tests to this (and the old) format.

 -- joost witteveen <joostje@debian.org>  Sat,  9 Oct 1999 17:25:56 +0200
	

fakeroot (0.4.4-2) unstable; urgency=low

  * comparison of uid/gid with -1 is done with 32 bits only. Closes: #44543
  * fix version number in configure.in
  * invert test for type of third argument of __xmknod.
  * another automake bug workaround in doc/Makefile.am from Yann DIRSON
  
 -- joost witteveen <joostje@debian.org>  Wed,  8 Sep 1999 21:25:56 +0200

fakeroot (0.4.4-1) unstable; urgency=low

  * Solaris changes from Yann DIRSON. (Include several fixes for
    incorrect automake/autoconfig usage).
  * correct handling of HAVE_SEMUN_DEF. Closes: #44447
  
 -- joost witteveen <joostje@debian.org>  Tue,  7 Sep 1999 22:40:41 +0200

fakeroot (0.4.3-3) unstable; urgency=low

  * Use exit value of command run as fakeroot. Closes: 43811
    (used patch from aj, also added test for this, finally)
  
  * OK, my configure etc scripts to find out whether to wrap stat(),
    _stat, __xstat were not quite OK. More fixes.

 -- joost witteveen <joostje@debian.org>  Tue, 31 Aug 1999 16:25:58 +0200

fakeroot (0.4.3-1) unstable; urgency=low

  * Added test for 42628.
  * slightly changed the /usr/doc/fakeroot/DEBUG info file, hopefully
    making it more clear.
  * thoughout: changes for sun's `_xstat' etc (instead of Linux's __xstat
    etc). Followed example from Yann DIRSON (but used configure tests etc
    instead).
  * spelling fixes by Yann DIRSON.
  * fakeroot script can find libfakeroot also if not installed in
    /usr/lib/... (Yann DIRSON)
  
 -- joost witteveen <joostje@debian.org>  Wed, 25 Aug 1999 00:34:39 +0200

fakeroot (0.4.2-2) unstable; urgency=low

  * Added '+' to optstring, so that opt parsing stops at first non-opt
    argument. Closes:#42628. (Thanks Ben Pfaff for the '+').

 -- joost witteveen <joostje@debian.org>  Mon, 23 Aug 1999 19:01:53 +0200

fakeroot (0.4.2-1) unstable; urgency=low

  * Applied patch from Richard Braakman. closes: #42710, #42713
    (added slight speedup to the patch, though).
  * Added test for bug 42710, 42713 (using example from bug 42713,
    thanks Thomas Quinot!)
  * manually changed the /var/lib/dpkg/info/fakeroot.shlibs on my system,
    to remove the extra `libc6'. Closes: #43247.
  
 -- joost witteveen <joostje@debian.org>  Sun, 22 Aug 1999 17:55:04 +0200

fakeroot (0.4.1-3) unstable; urgency=low

  * Added fix from Roman Hodek, to fix build problems on the libc2.0 -
    based m68k (stat64 problems). Notice that I've had to change a few
    items in this fix -- hope I done it right.

 -- joost witteveen <joostje@debian.org>  Thu,  5 Aug 1999 14:34:09 +0200

fakeroot (0.4.1-2) unstable; urgency=low

  * OK, now `fakeroot echo hello' doesn't hand the `hello' to echo. Fixed
    that, and added a test for it.

 -- joost witteveen <joostje@debian.org>  Wed,  4 Aug 1999 13:40:17 +0200

fakeroot (0.4.1-1) unstable; urgency=low

  * Made the fakeroot script exit if getopt returns an error
  * Advertise the possiblitity of `--' to specify commands with options.
    The above two points fix:
  * Switched on stat64 support. Fixes: 42396
  * added test for ls -l failing in test script.
 -- joost witteveen <joostje@debian.org>  Tue,  3 Aug 1999 20:47:36 +0200

fakeroot (0.4.0-1) unstable; urgency=low

  * This version uses the fakeroot-related stuff from the old
    (and abandoned) libtricks package, as that code realy is much
    cleaner and easier to maintain/debug.
    Libtricks already had most of the fixes fakeroot aquired as
    NMU in the last few months. Those fixes not yet present in
    libtrics I've (hopefully) added to this version of fakeroot.

 -- joost witteveen <joostje@debian.org>  Sat, 31 Jul 1999 19:19:40 +0200

fakeroot (0.0-17.6) unstable; urgency=low

  *  Non-maintainer release.
  *  Made the lchown() wrapper actually call lchown() instead of chown(),
     this makes it work on systems with a pure chown() (ie kernel 2.2 and 
     glibc 2.1.1 without patches, a la sparc/powerpc)

 -- Ben Collins <bcollins@debian.org>  Tue, 20 Jul 1999 10:36:57 -0600

fakeroot (0.0-17.5) unstable; urgency=low

  * Non-maintainer release.
  * Merge Jason Gunthorpe's changes:
    - Added lchown support and fixed a few typos (closes:Bug#38941,Bug#38928,Bug#38869).
    - Disabled libc 'ldd' hack to speed it up
  
 -- Joel Klecker <espy@debian.org>  Fri,  4 Jun 1999 08:43:48 -0700

fakeroot (0.0-17.4) unstable; urgency=low

  * Add wrapper for lchown.

 -- Joel Klecker <espy@debian.org>  Mon, 19 Apr 1999 12:00:14 -0700
  

fakeroot (0.0-17.3) unstable; urgency=low

  * Regenerate the shlibs file, and do it correctly for potato.
  * Apply patch from Richard Braakman <dark@xs4all.nl>.  closes: #34825
  * Compiled against libstdc++2.9.  closes: #27794
  * Noticed that 'static' was removed from the declare of 'semun.'
    closes: #31925

 -- Adam Heath <doogie@debian.org>  Sun, 21 Mar 1999 05:31:32 -0600

fakeroot (0.0-17.2) unstable; urgency=low

  * Fix shlibs file.



=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: joost witteveen <joostje@debian.org>
-Standards-Version: 2.1.1.0
+Standards-Version: 2.5.0.0
 
 Package: fakeroot
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for libfakeroot, adopted form sample debian/rules file for 
# dh_helper. GNU copyright 1997 by Joey Hess.
# Adopted by joost witteveen.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

#	autoconf
#	automake
	./configure

	$(MAKE)    CFLAGS="-g -O2 -Wall -W -pedantic"\
	         CXXFLAGS="-g -O2 -Wall -W -pedantic"
	$(MAKE) -C test

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
#	 Add here commands to clean up after the build process.
	-$(MAKE) distclean
	-$(MAKE) -C test clean
	rm -rf .deps
#	 Sorry, I always create files with name '2' (stderr output).
	dh_clean 2
	rm -f 2

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
#	 Add here commands to install the files into debian/tmp
	$(MAKE)   CFLAGS="-g -O2 -Wall -W -pedantic"\
	        CXXFLAGS="-g -O2 -Wall -W -pedantic"\
		prefix=`pwd`/debian/tmp/usr install
	install -d -m 0755 debian/tmp/usr/bin/
	install -m 0755 scripts/fakeroot debian/tmp/usr/bin/
	install -d -m 0755 debian/tmp/usr/doc/fakeroot \
		           debian/tmp/usr/lib/libfakeroot
	cp DEBUG debian/tmp/usr/doc/fakeroot
	( echo "This package was written and put togeter by me, "; \
	  echo "joost witteveen <joostje@debian.org>"            ; \
	  echo "------------------------------------------------"; \
	  cat COPYING) > debian/tmp/usr/doc/fakeroot/copyright
	#rm -f debian/tmp/usr/lib/libfakeroot/libfakeroot.*a*
	libtool --finish debian/tmp/usr/lib/fakeroot
	-rm  -f debian/tmp/usr/lib/libfakeroot/libfakeroot.*a*
	-rm  -f debian/tmp/usr/bin/simple
#	(echo -n "/usr/lib/libfakeroot/libfakeroot      0       " ; \
#         dpkg-shlibdeps -O simple | sed -e s/shlibs:Depends=//) > debian/shlibs
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installinit
	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs
	dh_strip
	dh_compress
#	gzip -9v debian/tmp/usr/doc/libfakeroot/changelog.Debian \
#	            debian/tmp/usr/man/man1/fakeroot.1 \
#		    
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps ./faked
	dh_gencontrol
#	dh_makeshlibs
#	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

# Local Variables:
# mode: Makefile
# End

## fakeroot 0.4.4-9.2

=== debian/changelog ===
fakeroot (0.4.4-9.2) unstable; urgency=low

  * NMU, for sparc64 environment
  * Added debian/rules section to build a 64bit libfakeroot
  * Updated libtool, since the old one didn't like the -m64 option with
    the --mode=link
  * exclude libfakeroot from dh_shlibdeps call. The faked binary provides
    all the deps we need, and this avoids the 64bit library from pulling
    in libc6-sparc
  * fakeroot: Use LD_LIBRARY_PATH for setting directory, and only
    LD_PRELOAD the library name. This makes it so the the 32/64 libs for
    sparc/sparc64 will load which ever one is needed.

 -- Ben Collins <bcollins@debian.org>  Fri, 27 Apr 2001 10:14:03 -0400

fakeroot (0.4.4-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * Wrap setuid, setgid, initgroups. Closes: #48384, #81750, #85844
  * Add debhelper to build dependencies.

 -- Ivo Timmermans <ivo@debian.org>  Fri, 13 Apr 2001 18:29:32 +0200

fakeroot (0.4.4-9) unstable; urgency=low

  * removed /usr/man/man1/* files. Closes: #80749

 -- joost witteveen <joostje@debian.org>  Sat,  6 Jan 2001 19:36:24 +0100

fakeroot (0.4.4-8) unstable; urgency=low

  * Added builddepends: sharutils.

 -- joost witteveen <joostje@debian.org>  Sun, 17 Dec 2000 11:18:54 +0100

fakeroot (0.4.4-7) unstable; urgency=low

  * Added a builddepends on libtool.
  * Applied patch from Roderich Schupp. Fixes: #79100
  * Applied patch from Roderich Schupp. Fixes: #77549

 -- joost witteveen <joostje@debian.org>  Sun, 10 Dec 2000 17:42:37 +0100

fakeroot (0.4.4-6) unstable; urgency=low

  * check return value of sem_op() now (in a while loop),
    Fixes: 59755
  * added explanation to fakeroot(1) what the problems with libtricks
    were, and why I think it's a bad idea to wrap many libc functions

 -- joost witteveen <joostje@debian.org>  Mon,  8 May 2000 11:32:02 +0300

fakeroot (0.4.4-5) unstable; urgency=low

  * moved DEBUG/copyright files to /usr/share/doc.
    Fixes: #50267, #50174.
  * get_ipc_key() now saves the ipc_key in a static variable. This
    speeds things up in general, and apparently in some cases it also
    appears to be needed. (Idea from Yann DIRSON).
  * shlibs file now doesn't have second field. (Idea from illegal NMU)
  * tar now uses open(file, flags, mode) to set the permissions of a file
    directly (without using chmod). As open() isn't wrapped, this caused
    one of the test in the build process to fail. Choose not to wrap open,
    but to remove the test, as it will rarely cause problems in real
    setups, and wrapping open() does cause problems (either now, or in
    future versions of libc when some function suddenly starts to use
    open()).
  
 -- joost witteveen <joostje@debian.org>  Sat, 11 Mar 2000 18:21:41 +0200

=== debian/control ===
Source: fakeroot
Section: utils
Priority: optional
Build-Depends: libtool, sharutils, debhelper, gcc-3.0-sparc64 [sparc]
Maintainer: joost witteveen <joostje@debian.org>
Standards-Version: 3.1.1.1

Package: fakeroot
Architecture: any
Depends: ${shlibs:Depends}
Description: Gives a fake root environment.
 This package is intended to enable something like:
   dpkg-buildpackage -rfakeroot
 i.e. to remove the need to become root for a package build.
 This is done by setting LD_PRELOAD to libfakeroot.so,
 which provides wrappers around getuid, chown, chmod, mknod, 
 stat, ..., thereby creating a fake root environment.
 .
 If you don't understand any of this, you do not need fakeroot!

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for libfakeroot, adopted form sample debian/rules file for 
# dh_helper. GNU copyright 1997 by Joey Hess.
# Adopted by joost witteveen.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	./configure

	$(MAKE) CFLAGS="-g -O2 -Wall -W -pedantic" \
	         CXXFLAGS="-g -O2 -Wall -W -pedantic"
	$(MAKE) -C test

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp build-sparc64-stamp
#	 Add here commands to clean up after the build process.
	-$(MAKE) distclean
	-$(MAKE) -C test clean
	rm -rf .deps
#	 Sorry, I always create files with name '2' (stderr output).
	dh_clean 2
	rm -f 2

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
#	 Add here commands to install the files into debian/tmp
	$(MAKE)   CFLAGS="-g -O2 -Wall -W -pedantic"\
	        CXXFLAGS="-g -O2 -Wall -W -pedantic"\
		prefix=`pwd`/debian/tmp/usr         \
		mandir=`pwd`/debian/tmp/usr/share/man install
	install -d -m 0755 debian/tmp/usr/bin/
	install -m 0755 scripts/fakeroot debian/tmp/usr/bin/
	install -d -m 0755 debian/tmp/usr/share/doc/fakeroot \
		           debian/tmp/usr/lib/libfakeroot
	cp DEBUG debian/tmp/usr/share/doc/fakeroot
	( echo "This package was written and put together by me, "; \
	  echo "joost witteveen <joostje@debian.org>"            ; \
	  echo "------------------------------------------------"; \
	  cat COPYING) > debian/tmp/usr/share/doc/fakeroot/copyright
	libtool --finish debian/tmp/usr/lib/fakeroot
	rm -f debian/tmp/usr/lib/libfakeroot/libfakeroot.*a*
	rm -f debian/tmp/usr/bin/simple
ifeq ($(DEB_HOST_GNU_TYPE),sparc-linux)
	debian/rules binary-sparc64
endif
	dh_installdocs
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	# We can just use the deps for faked.
	dh_shlibdeps -Xlibfakeroot
	dh_gencontrol
	dh_builddeb

binary-sparc64:
	dh_testdir
	$(MAKE) distclean
	CC="gcc-3.0 -m64" ./configure sparc64-linux

	$(MAKE) CFLAGS="-g -O2 -Wall -W -pedantic" CC="gcc-3.0 -m64" \
		libfakeroot.la
	install -d -m 755 debian/tmp/usr/lib/64/libfakeroot
	$(SHELL) ./libtool --mode=install install libfakeroot.la \
		$(PWD)/debian/tmp/usr/lib/64/libfakeroot/libfakeroot.la
	libtool --finish debian/fakeroot-sparc/usr/lib/64/fakeroot
	rm -f debian/tmp/usr/lib/64/libfakeroot/libfakeroot.*a*

	$(MAKE) distclean

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

# Local Variables:
# mode: Makefile
# End

## fakeroot 1.0.6

=== {arch}/++pristine-trees/unlocked/fakeroot/fakeroot--main/fakeroot--main--0.0/fakeroot@packages.debian.org--fakeroot/fakeroot--main--0.0--patch-21/debian/rules ===
#!/usr/bin/make -f

CFLAGS = -W -Wall -pedantic -g
CXXFLAGS = -W -Wall -g
INSTALL = install
INSTALL_FILE    = $(INSTALL) -p    -o root -g root  -m  644
INSTALL_PROGRAM = $(INSTALL) -p    -o root -g root  -m  755
INSTALL_SCRIPT  = $(INSTALL) -p    -o root -g root  -m  755
INSTALL_DIR     = $(INSTALL) -p -d -o root -g root  -m  755

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
CXXFLAGS += -O0
else
CFLAGS += -O2
CXXFLAGS += -O2
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
INSTALL_PROGRAM += -s
endif


build: build-stamp
build-stamp:
	$(checkdir)

	mkdir obj objfake obj-tcp objfake-tcp
	cd obj && CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" ../configure --prefix=/usr --mandir=/usr/share/man --libdir=/usr/lib/libfakeroot
	cd objfake && CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" ../fake/configure --prefix=/usr --mandir=/usr/share/man

	cd obj-tcp && CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" ../configure --prefix=/usr --mandir=/usr/share/man --libdir=/usr/lib/libfakeroot --with-ipc=tcp --program-suffix=-tcp
	cd objfake-tcp && CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" ../fake/configure --prefix=/usr --mandir=/usr/share/man --program-suffix=-tcp

	cd obj && $(MAKE)
	cd objfake && $(MAKE)
	cd obj-tcp && $(MAKE)
	cd objfake-tcp && $(MAKE)

	cd obj && $(MAKE) check
	cd obj-tcp && $(MAKE) check

	touch build-stamp

clean: checkroot
	$(checkdir)
	rm -rf obj objfake obj64 obj-tcp objfake-tcp obj64-tcp
	rm -f build-stamp build-biarch-stamp
#	 Add here commands to clean up after the build process.
	-cd obj && $(MAKE) distclean
	-cd obj-tcp && $(MAKE) distclean
	-cd objfake && $(MAKE) distclean
	-cd objfake-tcp && $(MAKE) distclean
ifneq (,$(findstring $(DEB_HOST_GNU_TYPE), sparc-linux s390-linux))
	-cd obj64 && $(MAKE) distclean
	-cd obj64-tcp && $(MAKE) distclean
endif
	rm -rf .deps
	rm -f debian/substvars
	rm -rf debian/tmp obj obj64 objfake autom4te.cache
	find . -type f -a \( -name \#\*\# -o -name .\*\~ -o -name \*\~ -o -name DEADJOE -o -name \*.orig -o -name \*.rej -o -name \*.bak -o -name .\*.orig -o -name .\*.rej -o -name .SUMS -o -name TAGS -o -name core -o \( -path \*/.deps/\* -a -name \*.P \) \) -exec rm -f {} \;

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build checkroot
	$(checkdir)

	cd obj-tcp && $(MAKE) DESTDIR="$(CURDIR)/debian/tmp" install
	cd objfake-tcp && $(MAKE) DESTDIR="$(CURDIR)/debian/tmp" install
	mv debian/tmp/usr/lib/libfakeroot/libfakeroot.so.0.0.1 debian/tmp/usr/lib/libfakeroot/libfakeroot-tcp.so.0.0.1
	rm debian/tmp/usr/lib/libfakeroot/libfakeroot.so.0
	ln -s libfakeroot-tcp.so.0.0.1 debian/tmp/usr/lib/libfakeroot/libfakeroot-tcp.so.0

	mv debian/tmp/usr/lib/libfakeroot.so.0.0.1 debian/tmp/usr/lib/libfakeroot-tcp.so.0.0.1
	rm debian/tmp/usr/lib/libfakeroot.so.0
	ln -s libfakeroot-tcp.so.0.0.1 debian/tmp/usr/lib/libfakeroot-tcp.so.0

	cd obj && $(MAKE) DESTDIR="$(CURDIR)/debian/tmp" install
	cd objfake && $(MAKE) DESTDIR="$(CURDIR)/debian/tmp" install
	$(INSTALL_DIR) debian/tmp/DEBIAN debian/tmp/usr/bin/
#	$(INSTALL_SCRIPT) scripts/fakeroot debian/tmp/usr/bin/
	$(INSTALL_DIR) debian/tmp/usr/share/doc/fakeroot \
		           debian/tmp/usr/lib/libfakeroot
	$(INSTALL_FILE) README.fake doc/README.saving DEBUG debian/tmp/usr/share/doc/fakeroot/
	( echo "This package was written and put together by me, "; \
	  echo "joost witteveen <joostje@debian.org>"            ; \
	  echo "------------------------------------------------"; \
	  cat COPYING) > debian/tmp/usr/share/doc/fakeroot/copyright
	cd obj && ./libtool --finish $(CURDIR)/debian/tmp/usr/lib/fakeroot
	cd objfake && ./libtool --finish $(CURDIR)/debian/tmp/usr/lib
	rm -f debian/tmp/usr/lib/libfakeroot/libfakeroot.*a*
	rm -f debian/tmp/usr/bin/simple debian/tmp/usr/lib/libfakeroot.la
	rm debian/tmp/usr/lib/libfakeroot/libfakeroot.so
	rm debian/tmp/usr/lib/libfakeroot.a
	rm debian/tmp/usr/lib/libfakeroot.so
ifneq (,$(findstring $(DEB_HOST_GNU_TYPE), sparc-linux s390-linux))
	debian/rules binary-biarch
endif
	$(INSTALL_FILE) debian/copyright debian/tmp/usr/share/doc/fakeroot/copyright
	$(INSTALL_FILE) debian/changelog debian/tmp/usr/share/doc/fakeroot/changelog
	gzip -9f debian/tmp/usr/share/man/fr/man1/fakeroot.1 \
	         debian/tmp/usr/share/man/es/man1/fakeroot.1 \
		 debian/tmp/usr/share/man/es/man1/faked.1 \
	         debian/tmp/usr/share/man/sv/man1/fakeroot.1 \
		 debian/tmp/usr/share/man/sv/man1/faked.1 \
		 debian/tmp/usr/share/man/man1/faked.1 \
		 debian/tmp/usr/share/man/man1/fakeroot.1 \
		 debian/tmp/usr/share/man/man1/faked-tcp.1 \
		 debian/tmp/usr/share/man/man1/fakeroot-tcp.1 \
		 debian/tmp/usr/share/doc/fakeroot/changelog
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	strip --remove-section=.comment --remove-section=.note --strip-unneeded debian/tmp/usr/lib/libfakeroot.so.0.0.1
	strip --remove-section=.comment --remove-section=.note --strip-unneeded debian/tmp/usr/lib/libfakeroot/libfakeroot.so.0.0.1
	strip --remove-section=.comment --remove-section=.note --strip-unneeded debian/tmp/usr/lib/libfakeroot-tcp.so.0.0.1
	strip --remove-section=.comment --remove-section=.note --strip-unneeded debian/tmp/usr/lib/libfakeroot/libfakeroot-tcp.so.0.0.1
	strip --remove-section=.comment --remove-section=.note debian/tmp/usr/bin/faked
	strip --remove-section=.comment --remove-section=.note debian/tmp/usr/bin/faked-tcp
#	strip --strip-debug debian/tmp/usr/lib/libfakeroot.a
endif
	$(INSTALL_FILE) debian/shlibs debian/tmp/DEBIAN/shlibs
	# We can just use the deps for faked.
	dpkg-shlibdeps -Tdebian/substvars debian/tmp/usr/bin/faked
	dpkg-gencontrol -ldebian/changelog -isp -Tdebian/substvars -Pdebian/tmp
	chmod 644 debian/tmp/DEBIAN/control
	chown root:root debian/tmp/DEBIAN/control
	chmod  4644  debian/tmp/usr/lib/libfakeroot.so.0.0.1
	chmod  4644  debian/tmp/usr/lib/libfakeroot-tcp.so.0.0.1
	cd debian/tmp && find * -type f ! -regex '^DEBIAN/.*' -print0 | xargs -r0 md5sum > DEBIAN/md5sums
	dpkg-deb --build debian/tmp ..

binary-biarch:
	$(checkdir)
	mkdir obj64 obj64-tcp

ifeq (sparc-linux,$(DEB_HOST_GNU_TYPE))
	cd obj64 && CC="gcc -m64" ../configure --prefix=/usr --mandir=/usr/share/man --build=sparc-linux --host=sparc64-linux
	cd obj64-tcp && CC="gcc -m64" ../configure --prefix=/usr --mandir=/usr/share/man --build=sparc-linux --host=sparc64-linux --with-ipc=tcp --program-suffix=-tcp
endif
ifeq (s390-linux,$(DEB_HOST_GNU_TYPE))
	cd obj64 && CC="gcc -m64" ../configure --prefix=/usr --mandir=/usr/share/man --build=sparc-linux --host=s390x-linux
	cd obj64-tcp && CC="gcc -m64" ../configure --prefix=/usr --mandir=/usr/share/man --build=sparc-linux --host=s390x-linux --with-ipc=tcp --program-suffix=-tcp
endif

	cd obj64-tcp && $(MAKE) libfakeroot.la
	$(INSTALL_DIR) debian/tmp/usr/lib64/libfakeroot
	cd obj64-tcp && $(SHELL) ./libtool --mode=install install libfakeroot.la \
		$(CURDIR)/debian/tmp/usr/lib64/libfakeroot/libfakeroot.la
	rm -f debian/tmp/usr/lib64/libfakeroot/libfakeroot.*a*
	mv debian/tmp/usr/lib64/libfakeroot/libfakeroot.so.0.0.1 debian/tmp/usr/lib64/libfakeroot/libfakeroot-tcp.so.0.0.1
	mv debian/tmp/usr/lib64/libfakeroot/libfakeroot.so.0 debian/tmp/usr/lib64/libfakeroot/libfakeroot-tcp.so.0
#	mv debian/tmp/usr/lib64/libfakeroot.so.0.0.1 debian/tmp/usr/lib64/libfakeroot-tcp.so.0.0.1
#	mv debian/tmp/usr/lib64/libfakeroot.so.0 debian/tmp/usr/lib64/libfakeroot-tcp.so.0

	cd obj64 && $(MAKE) libfakeroot.la
	$(INSTALL_DIR) debian/tmp/usr/lib64/libfakeroot
	cd obj64 && $(SHELL) ./libtool --mode=install install libfakeroot.la \
		$(CURDIR)/debian/tmp/usr/lib64/libfakeroot/libfakeroot.la
#	cd obj64 && ./libtool --finish debian/fakeroot-sparc/usr/lib64/fakeroot
	rm -f debian/tmp/usr/lib64/libfakeroot/libfakeroot.*a*
	rm debian/tmp/usr/lib64/libfakeroot/libfakeroot.so
#	rm debian/tmp/usr/lib64/libfakeroot.so

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
